matrix:
  unix_platform:
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
  windows_test:
    - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  unix_test:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@fmt//:fmt'
  windows_test:
    name: Verify build targets
    platform: ${{ windows_test }}
    bazel: ${{ bazel }}
    build_flags:
      - --cxxopt=/utf-8
    build_targets:
      - '@fmt//:fmt'
